IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PMX_SP_LINO_CardItemLabel]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[PMX_SP_LINO_CardItemLabel]
GO

-- =============================================
-- Author:		Produmex
-- Create date: 
-- Description:	Lino Card Item Label
-- =============================================
CREATE PROCEDURE [dbo].[PMX_SP_LINO_CardItemLabel] 
	-- Parameters for the stored procedure
	@itemCode nvarchar(20) = '',
	@cardCode nvarchar(15) = null
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	DECLARE @languageCode INT
	
	SELECT @languageCode = langcode FROM OCRD where CardCode = @CardCode

	SELECT     @CardCode AS CardCode, dbo.OITM.ItemCode, dbo.OITM.ItemName, dbo.OITM.NumInSale, dbo.OITM.SalUnitMsr, dbo.OITM.CodeBars, 
						  dbo.OSCN.Substitute AS CardItemCode, dbo.OSCN.U_PMX_SAL_PRICE AS CardSalesPrice, dbo.OSCN.U_PMX_ITM_CODEBARS AS CardItemCodebars, 
						  dbo.OSCN.U_PMX_ITM_DESCR AS CardItemName, dbo.[@PMX_PUOM].Name AS UomName, UomMLT1Table.Trans AS UomTranslation, 
						  OITMMLT1Table.Trans AS ItemNameTranslation, @languageCode AS CardLanguageCode
	FROM         dbo.MLT1 AS OITMMLT1Table INNER JOIN
						  dbo.OMLT AS OITMOMLTTable ON OITMMLT1Table.TranEntry = OITMOMLTTable.TranEntry AND OITMMLT1Table.LangCode = @languageCode AND 
						  OITMOMLTTable.TableName = 'OITM' RIGHT OUTER JOIN
						  dbo.OITM LEFT OUTER JOIN
						  dbo.[@PMX_PUOM] LEFT OUTER JOIN
						  dbo.MLT1 AS UomMLT1Table INNER JOIN
						  dbo.OMLT AS UomOMLTTable ON UomMLT1Table.TranEntry = UomOMLTTable.TranEntry AND UomMLT1Table.LangCode = @languageCode AND 
						  UomOMLTTable.TableName = '@PMX_PUOM' ON dbo.[@PMX_PUOM].Code = UomOMLTTable.PK ON 
						  dbo.OITM.SalUnitMsr = dbo.[@PMX_PUOM].Code LEFT OUTER JOIN
						  dbo.OSCN ON dbo.OITM.ItemCode = dbo.OSCN.ItemCode AND dbo.OSCN.CardCode = @cardCode ON OITMOMLTTable.PK = dbo.OITM.ItemCode

	WHERE     (dbo.OITM.ItemCode = @itemCode)
	
END
