IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PMX_SP_LINO_PickListTasks]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[PMX_SP_LINO_PickListTasks]
GO

-- =============================================
-- Author:		Produmex
-- Create date: 
-- Description:	Pick list tasks Lino
-- =============================================
CREATE PROCEDURE [dbo].[PMX_SP_LINO_PickListTasks] 
	-- Parameters for the stored procedure
	@pickListDocEntry int = 0
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	DECLARE @tbl AS TABLE (nstr nvarchar(100) COLLATE database_default)
	DECLARE @listOfLocations AS nvarchar (2000)
	SET @listOfLocations = ''
	DECLARE @separator AS nvarchar (2)
	SET @separator = ', '

	INSERT INTO @tbl
	SELECT DISTINCT dbo.PMX_OSML.Name
	FROM         dbo.PMX_MVLI INNER JOIN
						  dbo.PMX_LPLM ON dbo.PMX_MVLI.DocEntry = dbo.PMX_LPLM.MoveDocEntry AND 
						  dbo.PMX_MVLI.LineNum = dbo.PMX_LPLM.MoveLineNum INNER JOIN
						  dbo.PMX_OSML ON dbo.PMX_MVLI.DestStorLocCode = dbo.PMX_OSML.Code
	WHERE     (dbo.PMX_LPLM.PickListDocEntry = @pickListDocEntry)

	SELECT @listOfLocations = @listOfLocations + @separator + nstr
	FROM @tbl

	--remove the first characters
	IF LEN (@listOfLocations) > 2
	BEGIN
		SET @listOfLocations = substring(@listOfLocations, 3, LEN (@listOfLocations)-2)
	END



	SELECT     dbo.OCRD.CardCode, dbo.OCRD.CardName, ISNULL(ComponentSalesItemRDR1.U_PMX_PR_ITM_LBL, SalesLineRDR1.U_PMX_PR_ITM_LBL) AS U_PMX_PR_ITM_LBL, SUM(dbo.PMX_PLLI.Quantity) AS Quantity, 
						  dbo.PMX_COMPONENT_SALES_ITEM.ComponentQuantity, ComponentSalesItemRDR1.ItemCode AS ItemCodeSalesItem, ComponentSalesItemRDR1.Quantity AS SalesItemQuantity, 
						  dbo.PMX_PLHE.ShipToAddress, dbo.PMX_PLHE.DocEntry, CAST( dbo.PMX_PLHE.PickPackRemarks AS nvarchar (2000)) AS PickPackRemarks, SUM(dbo.PMX_PLLI.QtyPicked) AS QtyPicked, 
						  dbo.PMX_PLLI.Dscription AS ItemName, dbo.PMX_PLLI.ItemCode, ComponentSalesItemRDR1.Dscription AS SalesItemItemName, @listOfLocations AS Locations, dbo.PMX_PLLI.Uom, 
						  dbo.OITM.InvntryUom AS UomSalesItem, ISNULL(dbo.OITM.U_PMX_UOMD, 0) AS NumberOfDecimalsSalesItem
	FROM         dbo.PMX_PLLI INNER JOIN
						  dbo.PMX_PLHE ON dbo.PMX_PLLI.DocEntry = dbo.PMX_PLHE.DocEntry INNER JOIN
						  dbo.OCRD ON dbo.PMX_PLHE.CardCode = dbo.OCRD.CardCode INNER JOIN
						  dbo.PMX_PLPL ON dbo.PMX_PLLI.BaseEntry = dbo.PMX_PLPL.DocEntry AND dbo.PMX_PLLI.BaseLine = dbo.PMX_PLPL.LineNum INNER JOIN
						  dbo.RDR1 AS SalesLineRDR1 ON SalesLineRDR1.DocEntry = PMX_PLPL.BaseEntry AND SalesLineRDR1.LineNum = PMX_PLPL.BaseLine AND PMX_PLPL.BaseType = '17' INNER JOIN
						  dbo.PMX_COMPONENT_SALES_ITEM ON dbo.PMX_PLPL.BaseEntry = dbo.PMX_COMPONENT_SALES_ITEM.DocEntry AND 
						  dbo.PMX_PLPL.BaseLine = dbo.PMX_COMPONENT_SALES_ITEM.ComponentLineNum LEFT OUTER JOIN
						  dbo.RDR1 AS ComponentSalesItemRDR1 ON dbo.PMX_COMPONENT_SALES_ITEM.DocEntry = ComponentSalesItemRDR1.DocEntry AND 
						  dbo.PMX_COMPONENT_SALES_ITEM.SalesItemLineNum = ComponentSalesItemRDR1.LineNum LEFT JOIN
						  dbo.OITM ON ComponentSalesItemRDR1.ItemCode = dbo.OITM.ItemCode
	WHERE     (dbo.PMX_PLHE.DocEntry = @pickListDocEntry)
    GROUP BY dbo.OCRD.CardCode, dbo.OCRD.CardName, ISNULL(ComponentSalesItemRDR1.U_PMX_PR_ITM_LBL,SalesLineRDR1.U_PMX_PR_ITM_LBL), 
						  dbo.PMX_COMPONENT_SALES_ITEM.ComponentQuantity, ComponentSalesItemRDR1.ItemCode, ComponentSalesItemRDR1.Quantity, 
						  dbo.PMX_PLHE.ShipToAddress, dbo.PMX_PLHE.DocEntry, CAST( dbo.PMX_PLHE.PickPackRemarks AS nvarchar (2000)), 
						  dbo.PMX_PLLI.Dscription, dbo.PMX_PLLI.ItemCode, ComponentSalesItemRDR1.Dscription, dbo.PMX_PLLI.Uom,
						  dbo.OITM.InvntryUom, dbo.OITM.U_PMX_UOMD

	
END


